Bug 1592961 - Need proper default subjectDN for CMC request authenticated through SharedToken
Summary: Need proper default subjectDN for CMC request authenticated through SharedToken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pki-core
Version: 7.6
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Christina Fu
QA Contact: Asha Akkiangady
URL:
Whiteboard:
Depends On:
Blocks: 1593585
TreeView+ depends on / blocked
 
Reported: 2018-06-19 16:44 UTC by Christina Fu
Modified: 2018-10-30 11:08 UTC (History)
3 users (show)

Fixed In Version: pki-core-10.5.9-2.el7
Doc Type: Bug Fix
Doc Text:
Use Doc Text field in https://bugzilla.redhat.com/show_bug.cgi?id=1593585
Clone Of:
: 1593585 (view as bug list)
Environment:
Last Closed: 2018-10-30 11:07:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3195 None None None 2018-10-30 11:08:05 UTC

Description Christina Fu 2018-06-19 16:44:45 UTC
This issue was reported by Gossamer per Common Criteria evaluation.

We need roper default subjectDN for CMC request authenticated through SharedToken.

Comment 5 Christina Fu 2018-06-20 16:13:28 UTC
commit 2746c4f70d738266b72161d80c1a2ff6a9a45391 (HEAD -> master, origin/master, origin/HEAD, ticket-3037-SharedTokenSbjdn-A-master)
Author: Christina Fu <cfu@redhat.com>
Date:   Tue Jun 19 15:21:54 2018 -0700

    Ticket 3037 CMC SharedToken SubjectDN default
    
    This patch adds proper subjectDN to CMC requests authenticated via ShardToken.
    Specifically, the AuthTokenSubjectNameDefault profile default is added to
    the default CMC profiles that authenticates via SharedToken.
    Code were added to ensure that the proper subjectDN retrieved from the
    mapped user entry is added to the AuthToken for such utilization.
    
    Fixes https://pagure.io/dogtagpki/issue/3037
    
    Change-Id: Id92d9496ab5b41ea7b5dcffb8d73d3ffe8b29fbc

Comment 7 Matthew Harmsen 2018-06-26 01:35:30 UTC
QE Test Verification:

https://bugzilla.redhat.com/show_bug.cgi?id=1593585#c3

Comment 9 Geetika Kapoor 2018-08-17 20:34:58 UTC
Test Env:

rpm -qa pki-ca
pki-ca-10.5.9-5.el7.noarch

Test Case:

Verified the scenario's mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=1593585#c7

Comment 11 errata-xmlrpc 2018-10-30 11:07:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3195


Note You need to log in before you can comment on or make changes to this bug.